Browse Source

H305/H402 hacking have been deprecated

H305/H402 hacking have been removed since hacking 0.10.
https://github.com/openstack-dev/hacking/blob/master/setup.cfg
test-requirements of coverage2sql require hacking<0.11,>=0.10..
So remove H305/H402 ignore statement
Closes-Bug: #1653639

Change-Id: I781fc185b3a70e0c9e12ae0eeab16d2d54925421
xhzhf 2 years ago
parent
commit
b67d562e0f
1 changed files with 1 additions and 3 deletions
  1. 1
    3
      tox.ini

+ 1
- 3
tox.ini View File

@@ -38,12 +38,10 @@ commands = sphinx-build -a -E -d releasenotes/build/doctrees -b html releasenote
38 38
 # E123 skipped because it is ignored by default in the default pep8
39 39
 # E125 is deliberately excluded. See https://github.com/jcrocholl/pep8/issues/126
40 40
 # E129 skipped because it is too limiting when combined with other rules
41
-# H305 skipped because it is inconsistent between python versions
42
-# H402 skipped because some docstrings aren't sentences
43 41
 # E711 skipped because sqlalchemy filter() requires using == instead of is
44 42
 
45 43
 show-source = True
46
-ignore = E123,E125,E129,H305,H402,E711
44
+ignore = E123,E125,E129,E711
47 45
 builtins = _
48 46
 exclude=.venv,.git,.tox,dist,doc,*lib/python*,*egg,build,releasenotes
49 47
 

Loading…
Cancel
Save